#!/usr/bin/perl

# this creates the Test::DoubleEncodedEntities::Entities file
# yes, I know this code isn't portable.  Only I should have to run
# it

use strict;
use warnings;

use LWP::Simple;

my $doc = get("http://www.w3.org/TR/REC-html40/sgml/entities.html");
my @ent = $doc =~ m/&lt;!ENTITY ([A-Za-z]+)/g;

open OUTPUT, ">lib/Test/DoubleEncodedEntities/Entities.pm"
 or die "can't open output: $!";

print OUTPUT <<".";

##############################################
# This file is autogenerated by create_deee.pl
# do not edit!
##############################################

package Test::DoubleEncodedEntities::Entities;

use strict;
use vars qw(\@ISA \@EXPORT \@entities);

require Exporter;
\@ISA = qw(Exporter);
\@EXPORT = qw(\@entities);

\@entities = qw(
 @ent
);

=head1 NAME

Test::DoubleEncodedEntities::Entities - HTML 4.0 entities

=head1 SYNOPSIS;

  # exports \@entities;
  use Test::DoubleEncodedEntities::Entities;

=head1 DESCRIPTION

Exports the one array \@entities that contains the HTML 4.0
entities.

These are @ent.

=head1 SEE ALSO

L<Test::DoubleEncodedEntities>

L<http://www.w3.org/TR/REC-html40/sgml/entities.html>

=cut

1;

.

